
GammaLib - Feature #517

Check GammaLib for C++ slicing

09/21/2012 03:40 AM - Knödlseder Jürgen

Status: Closed Start date: 09/21/2012

Priority: High Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-08-00   

Description

The phenomenon of C++ slicing only occurred to me now (see Bug #516). It happened in the GModel access operator of the

GModels class, which was finally resolved by using pointers.

The GammaLib interface should be screened for analogous problems. In particular the container classes may be subject to C++

slicing.

History

#1 - 09/22/2012 12:44 AM - Knödlseder Jürgen

- Subject changed from Check GammaLib for C++ splitting to Check GammaLib for C++ slicing

- Description updated

#2 - 12/04/2012 11:05 PM - Knödlseder Jürgen

- Target version deleted (00-07-00)

#3 - 12/21/2012 12:43 AM - Knödlseder Jürgen

- Target version set to 00-08-00

#4 - 02/21/2013 09:26 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 0 to 10

A review of the code slicing has been started in view of the global code review (see #692).

Code slicing should primary occur in container classes, and I started to correct the GModels and GObservations classes for code slicing.

#5 - 12/10/2013 12:20 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- Assigned To set to Knödlseder Jürgen

- % Done changed from 10 to 100

As the code review is now finished I hope that I also catched all code slicing problems.
